#
# spec file for package python-hupper
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-hupper
Version:        1.0
Release:        bp156.3.1
Summary:        An in-process file monitor
License:        MIT
Group:          Development/Languages/Python
Url:            https://pylonsproject.org/
Source0:        https://files.pythonhosted.org/packages/source/h/hupper/hupper-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-watchdog
Requires(post):   update-alternatives
Requires(postun):  update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Hupper is an integrated process monitor that will track changes to any
imported Python files in sys.modules as well as custom paths.
When files are changed the process is restarted.

%prep
%setup -q -n hupper-%{version}
rm -rf src/hupper.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}/%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/hupper

%post
%python_install_alternative hupper

%postun
%python_uninstall_alternative hupper

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst CONTRIBUTING.rst LICENSE.txt README.rst
%python_alternative %{_bindir}/hupper
%{python_sitelib}/*

%changelog
* Fri Jul 14 2017 aloisio@gmx.com
- Initial package (1.0)
